gRPC C#
gRPC C#
Namespaces
Grpc.Auth
AuthInterceptors Class
AuthInterceptors Methods

AuthInterceptors Class

Factory methods to create authorization interceptors. Interceptors created can be registered with gRPC client classes (autogenerated client stubs that inherit from ClientBase).
Inheritance Hierarchy
System
Object
Grpc.Auth
AuthInterceptors

Namespace: Grpc.Auth
Assembly: Grpc.Auth (in Grpc.Auth.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public static class AuthInterceptors

    Public NotInheritable Class AuthInterceptors

    public ref class AuthInterceptors abstract sealed

    [<AbstractClassAttribute>]
    [<SealedAttribute>]
    type AuthInterceptors =  class end

The AuthInterceptors type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| FromAccessToken | Creates OAuth2 interceptor that will use given access token as authorization.
| FromCredential | Creates interceptor that will obtain access token from any credential type that implements ITokenAccess. (e.g. GoogleCredential).

Top
See Also

#### Reference

Grpc.Auth Namespace